Skip to main content
GET
/
admin
/
workspaces
/
{workspaceId}
/
users
from portkey_ai import Portkey

# Initialize the Portkey client
portkey = Portkey(
    api_key="PORTKEY_API_KEY",
)

# Get user from workspace
users = portkey.admin.workspaces.users.list(
    workspace_id="WORKSPACE_SLUG",
)

print(users)
{
  "total": 2,
  "object": "list",
  "data": [
    {
      "object": "workspace-user",
      "id": "66dc015d-0270-11f1-8eec-0e27d7367989",
      "first_name": "John",
      "last_name": "Doe",
      "org_role": "admin",
      "role": "admin",
      "created_at": "2026-03-09T07:55:25.000Z",
      "last_updated_at": "2026-03-09T07:55:25.000Z",
      "status": "active",
      "workspace_id": "bf276bb9-4cef-4d87-b69b-b23a6ed6b1dd",
      "email": "john.doe@example.com",
      "scopes": [
        "organisations.read",
        "organisation_users.read",
        "workspaces.read",
        "logs.list",
        "logs.view",
        "prompts.create",
        "prompts.read",
        "prompts.list",
        "configs.create",
        "configs.read",
        "configs.list",
        "virtual_keys.create",
        "virtual_keys.read",
        "virtual_keys.list",
        "workspace_users.create",
        "workspace_users.read",
        "workspace_users.list",
        "generations.create"
      ],
      "settings": null
    }
  ]
}

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

workspaceId
string
required

Query Parameters

current_page
number
default:50
page_size
number
default:0
role
enum<string>
Available options:
admin,
manager,
member
email
string

Response

200 - application/json

OK

total
integer
Example:

2

object
enum<string>
Available options:
list
Example:

"list"

data
object[]
Last modified on March 31, 2026